Autor Tópico: Ajuda com amsn  (Lida 4191 vezes)

Offline Remmy

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Ajuda com amsn
« Online: 24 de Setembro de 2006, 08:43 »
OI pessoal

Sou iniciado e estou com problemas para instalar o amsn, fui ao synaptic > configurações > repositorios, e marquei tudo, depois fiz o down do amsn 95-1 e instalei, parecia tudo bem, ele aparece em Arquivo> Internet> amsn, mas kuando clico nele n dá nada!

Ainda tentei isto..

jp@jp-desktop:~$ sudo dpkg -i /home/jp/Desktop/amsn_0.96RC1-1.deb
Password:
(A ler a base de dados ... 74893 ficheiros e directórios actualmente instalados.)
Preparando para substituir amsn 0.95-1 (a usar .../jp/Desktop/amsn_0.96RC1-1.deb) ...
A descompactar substituto amsn ...
A instalar amsn (0.96RC1-1) ...
jp@jp-desktop:~$ amsn
wish: error while loading shared libraries: libtk8.5.so: cannot open shared object file: No such file or directory

Alguem me dá uma ajuda?

Offline AlexBR

  • Usuário Ubuntu
  • *
  • Mensagens: 388
    • Ver perfil
Re: Ajuda com amsn
« Resposta #1 Online: 24 de Setembro de 2006, 09:27 »
Aconteceu isso comigo. Não existe o arquivo libtk8.5.so. Existe, parece, um libtk8.5.so.0. Tudo que você tem a fazer é um link de libtk8.5.so.0 para libtk8.5.so. Assim...

ln -s /usr/lib/libtk8.5.so.0 /usr/lib/libtk8.5.so

Tem certeza se o nome correto é libtk8.5.so.0 antes de fazer o link.

Boa sorte!

Offline Remmy

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Ajuda com amsn
« Resposta #2 Online: 24 de Setembro de 2006, 10:05 »
Não encontro esse /usr/lib/libtk8.5.so.0 :| assim fazer um link para um ficheiro q n existe n vale a pena n é?

jp@jp-desktop:~$ vi /usr/lib/lib
libasprintf.la                   libgphoto2/
libgconf2-4/                     libguilereadline-v-12.la
libgda/                          libguile-srfi-srfi-13-14-v-1.la
libgdict-1.0.la                  libguile-srfi-srfi-4-v-1.la
libgettextlib.la                 libidn.la
libgettextpo.la                  libImplicit.la
libgettextsrc.la                 liblirc_client.la
libgksu1.2/                      libmng.la
libglade/                        librsMath.la
libgnomeprint/                   libsane.la
libgnomeui-0/                    libvte4/

de certeza que libtk8.5.so.0 está  /usr/lib/ ou pode estar noutra directoria?

Offline Remmy

  • Usuário Ubuntu
  • *
  • Mensagens: 5
    • Ver perfil
Re: Ajuda com amsn
« Resposta #3 Online: 24 de Setembro de 2006, 12:12 »
já consegui :) faltava:

cd /usr/lib
sudo ln -sf libtk8.5.so.0 libtk8.5.so
sudo ln -sf libtcl8.5.so.0 libtcl8.5.so


vi aqui: http://www.ubuntuforums.org/showthread.php?t=216689

Obrigado